%global  __libtoolize:
%global momorel 5

Summary: libcxp is the base library of cxp application family.
Name: libcxp
Version: 0.5.6
Release: %{momorel}m%{?dist}
License: GPL
Source0: http://osdn.dl.sourceforge.jp/cxplorer/17097/%{name}-%{version}.tar.gz
NoSource: 0
Group: System Environment/Libraries
URL: http://cxplorer.sourceforge.jp/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gtk2
BuildRequires: gtk2-devel
BuildRequires: cairo >= 1.2.4

%description
libcxp is the base library of cxp application family. But, cxplorer is only
applicaiton which is developped as cxp family yet.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files (Headers, libraries for static linking, etc) for %{name}.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}
%build
%configure

%make

%install
%makeinstall

%{find_lang} %{name}

find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS
%{_libdir}/*.so.*
%{_datadir}/pixmaps/cxp/*
/etc/gconf/schemas/libcxp.schemas

%files devel
%defattr(-,root,root)
%{_includedir}/cxp
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/libcxp.pc

%changelog
* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.6-5m)
- move pc file to devel

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.6-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.6-3m)
- rebuild against gcc43

* Sun Oct  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.6-2m)
- rebuild against cairo-1.2.4
-- delete libtool library

* Sat Nov 26 2005 Koichi NARITA <pulsar@sea.plala.or.jp>
- (0.5.6-1m)
- update to 0.5.6
- separate devel package

* Sun Jul 03 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.2-1m)
- update to 0.4.2

* Sun May 14 2005 Koichi Narita <pulsar@sea.plala.or.jp>
- 0.4.1-1m
- import to Momonga Linux 2 (Asuna)
